/*******************************************************************************
* File Name: Reg_Disp.h  
* Version 1.90
*
* Description:
*  This file containts Status Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_STATUS_REG_Reg_Disp_H) /* CY_STATUS_REG_Reg_Disp_H */
#define CY_STATUS_REG_Reg_Disp_H

#include "cytypes.h"
#include "CyLib.h"

    
/***************************************
*     Data Struct Definitions
***************************************/

/* Sleep Mode API Support */
typedef struct
{
    uint8 statusState;

} Reg_Disp_BACKUP_STRUCT;


/***************************************
*        Function Prototypes
***************************************/

uint8 Reg_Disp_Read(void) ;
void Reg_Disp_InterruptEnable(void) ;
void Reg_Disp_InterruptDisable(void) ;
void Reg_Disp_WriteMask(uint8 mask) ;
uint8 Reg_Disp_ReadMask(void) ;


/***************************************
*           API Constants
***************************************/

#define Reg_Disp_STATUS_INTR_ENBL    0x10u


/***************************************
*         Parameter Constants
***************************************/

/* Status Register Inputs */
#define Reg_Disp_INPUTS              1


/***************************************
*             Registers
***************************************/

/* Status Register */
#define Reg_Disp_Status             (* (reg8 *) Reg_Disp_sts_sts_reg__STATUS_REG )
#define Reg_Disp_Status_PTR         (  (reg8 *) Reg_Disp_sts_sts_reg__STATUS_REG )
#define Reg_Disp_Status_Mask        (* (reg8 *) Reg_Disp_sts_sts_reg__MASK_REG )
#define Reg_Disp_Status_Aux_Ctrl    (* (reg8 *) Reg_Disp_sts_sts_reg__STATUS_AUX_CTL_REG )

#endif /* End CY_STATUS_REG_Reg_Disp_H */


/* [] END OF FILE */
