/*******************************************************************************
* File Name: Vaout.h  
* Version 2.20
*
* Description:
*  This file contains Pin function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_Vaout_H) /* Pins Vaout_H */
#define CY_PINS_Vaout_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "Vaout_aliases.h"


/***************************************
*        Function Prototypes             
***************************************/    

/**
* \addtogroup group_general
* @{
*/
void    Vaout_Write(uint8 value) ;
void    Vaout_SetDriveMode(uint8 mode) ;
uint8   Vaout_ReadDataReg(void) ;
uint8   Vaout_Read(void) ;
void    Vaout_SetInterruptMode(uint16 position, uint16 mode) ;
uint8   Vaout_ClearInterrupt(void) ;
/** @} general */

/***************************************
*           API Constants        
***************************************/

/**
* \addtogroup group_constants
* @{
*/
    /** \addtogroup driveMode Drive mode constants
     * \brief Constants to be passed as "mode" parameter in the Vaout_SetDriveMode() function.
     *  @{
     */
        /* Drive Modes */
        #define Vaout_DM_ALG_HIZ         PIN_DM_ALG_HIZ   /**< \brief High Impedance Analog   */
        #define Vaout_DM_DIG_HIZ         PIN_DM_DIG_HIZ   /**< \brief High Impedance Digital  */
        #define Vaout_DM_RES_UP          PIN_DM_RES_UP    /**< \brief Resistive Pull Up       */
        #define Vaout_DM_RES_DWN         PIN_DM_RES_DWN   /**< \brief Resistive Pull Down     */
        #define Vaout_DM_OD_LO           PIN_DM_OD_LO     /**< \brief Open Drain, Drives Low  */
        #define Vaout_DM_OD_HI           PIN_DM_OD_HI     /**< \brief Open Drain, Drives High */
        #define Vaout_DM_STRONG          PIN_DM_STRONG    /**< \brief Strong Drive            */
        #define Vaout_DM_RES_UPDWN       PIN_DM_RES_UPDWN /**< \brief Resistive Pull Up/Down  */
    /** @} driveMode */
/** @} group_constants */
    
/* Digital Port Constants */
#define Vaout_MASK               Vaout__MASK
#define Vaout_SHIFT              Vaout__SHIFT
#define Vaout_WIDTH              1u

/* Interrupt constants */
#if defined(Vaout__INTSTAT)
/**
* \addtogroup group_constants
* @{
*/
    /** \addtogroup intrMode Interrupt constants
     * \brief Constants to be passed as "mode" parameter in Vaout_SetInterruptMode() function.
     *  @{
     */
        #define Vaout_INTR_NONE      (uint16)(0x0000u)   /**< \brief Disabled             */
        #define Vaout_INTR_RISING    (uint16)(0x0001u)   /**< \brief Rising edge trigger  */
        #define Vaout_INTR_FALLING   (uint16)(0x0002u)   /**< \brief Falling edge trigger */
        #define Vaout_INTR_BOTH      (uint16)(0x0003u)   /**< \brief Both edge trigger    */
        /** @} intrMode */
/** @} group_constants */

    #define Vaout_INTR_MASK      (0x01u)
#endif /* (Vaout__INTSTAT) */


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define Vaout_PS                     (* (reg8 *) Vaout__PS)
/* Data Register */
#define Vaout_DR                     (* (reg8 *) Vaout__DR)
/* Port Number */
#define Vaout_PRT_NUM                (* (reg8 *) Vaout__PRT) 
/* Connect to Analog Globals */                                                  
#define Vaout_AG                     (* (reg8 *) Vaout__AG)                       
/* Analog MUX bux enable */
#define Vaout_AMUX                   (* (reg8 *) Vaout__AMUX) 
/* Bidirectional Enable */                                                        
#define Vaout_BIE                    (* (reg8 *) Vaout__BIE)
/* Bit-mask for Aliased Register Access */
#define Vaout_BIT_MASK               (* (reg8 *) Vaout__BIT_MASK)
/* Bypass Enable */
#define Vaout_BYP                    (* (reg8 *) Vaout__BYP)
/* Port wide control signals */                                                   
#define Vaout_CTL                    (* (reg8 *) Vaout__CTL)
/* Drive Modes */
#define Vaout_DM0                    (* (reg8 *) Vaout__DM0) 
#define Vaout_DM1                    (* (reg8 *) Vaout__DM1)
#define Vaout_DM2                    (* (reg8 *) Vaout__DM2) 
/* Input Buffer Disable Override */
#define Vaout_INP_DIS                (* (reg8 *) Vaout__INP_DIS)
/* LCD Common or Segment Drive */
#define Vaout_LCD_COM_SEG            (* (reg8 *) Vaout__LCD_COM_SEG)
/* Enable Segment LCD */
#define Vaout_LCD_EN                 (* (reg8 *) Vaout__LCD_EN)
/* Slew Rate Control */
#define Vaout_SLW                    (* (reg8 *) Vaout__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define Vaout_PRTDSI__CAPS_SEL       (* (reg8 *) Vaout__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define Vaout_PRTDSI__DBL_SYNC_IN    (* (reg8 *) Vaout__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define Vaout_PRTDSI__OE_SEL0        (* (reg8 *) Vaout__PRTDSI__OE_SEL0) 
#define Vaout_PRTDSI__OE_SEL1        (* (reg8 *) Vaout__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define Vaout_PRTDSI__OUT_SEL0       (* (reg8 *) Vaout__PRTDSI__OUT_SEL0) 
#define Vaout_PRTDSI__OUT_SEL1       (* (reg8 *) Vaout__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define Vaout_PRTDSI__SYNC_OUT       (* (reg8 *) Vaout__PRTDSI__SYNC_OUT) 

/* SIO registers */
#if defined(Vaout__SIO_CFG)
    #define Vaout_SIO_HYST_EN        (* (reg8 *) Vaout__SIO_HYST_EN)
    #define Vaout_SIO_REG_HIFREQ     (* (reg8 *) Vaout__SIO_REG_HIFREQ)
    #define Vaout_SIO_CFG            (* (reg8 *) Vaout__SIO_CFG)
    #define Vaout_SIO_DIFF           (* (reg8 *) Vaout__SIO_DIFF)
#endif /* (Vaout__SIO_CFG) */

/* Interrupt Registers */
#if defined(Vaout__INTSTAT)
    #define Vaout_INTSTAT             (* (reg8 *) Vaout__INTSTAT)
    #define Vaout_SNAP                (* (reg8 *) Vaout__SNAP)
    
	#define Vaout_0_INTTYPE_REG 		(* (reg8 *) Vaout__0__INTTYPE)
#endif /* (Vaout__INTSTAT) */

#endif /* End Pins Vaout_H */


/* [] END OF FILE */
