/*******************************************************************************
* File Name: Vinn.h  
* Version 2.20
*
* Description:
*  This file contains Pin function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_Vinn_H) /* Pins Vinn_H */
#define CY_PINS_Vinn_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "Vinn_aliases.h"


/***************************************
*        Function Prototypes             
***************************************/    

/**
* \addtogroup group_general
* @{
*/
void    Vinn_Write(uint8 value) ;
void    Vinn_SetDriveMode(uint8 mode) ;
uint8   Vinn_ReadDataReg(void) ;
uint8   Vinn_Read(void) ;
void    Vinn_SetInterruptMode(uint16 position, uint16 mode) ;
uint8   Vinn_ClearInterrupt(void) ;
/** @} general */

/***************************************
*           API Constants        
***************************************/

/**
* \addtogroup group_constants
* @{
*/
    /** \addtogroup driveMode Drive mode constants
     * \brief Constants to be passed as "mode" parameter in the Vinn_SetDriveMode() function.
     *  @{
     */
        /* Drive Modes */
        #define Vinn_DM_ALG_HIZ         PIN_DM_ALG_HIZ   /**< \brief High Impedance Analog   */
        #define Vinn_DM_DIG_HIZ         PIN_DM_DIG_HIZ   /**< \brief High Impedance Digital  */
        #define Vinn_DM_RES_UP          PIN_DM_RES_UP    /**< \brief Resistive Pull Up       */
        #define Vinn_DM_RES_DWN         PIN_DM_RES_DWN   /**< \brief Resistive Pull Down     */
        #define Vinn_DM_OD_LO           PIN_DM_OD_LO     /**< \brief Open Drain, Drives Low  */
        #define Vinn_DM_OD_HI           PIN_DM_OD_HI     /**< \brief Open Drain, Drives High */
        #define Vinn_DM_STRONG          PIN_DM_STRONG    /**< \brief Strong Drive            */
        #define Vinn_DM_RES_UPDWN       PIN_DM_RES_UPDWN /**< \brief Resistive Pull Up/Down  */
    /** @} driveMode */
/** @} group_constants */
    
/* Digital Port Constants */
#define Vinn_MASK               Vinn__MASK
#define Vinn_SHIFT              Vinn__SHIFT
#define Vinn_WIDTH              1u

/* Interrupt constants */
#if defined(Vinn__INTSTAT)
/**
* \addtogroup group_constants
* @{
*/
    /** \addtogroup intrMode Interrupt constants
     * \brief Constants to be passed as "mode" parameter in Vinn_SetInterruptMode() function.
     *  @{
     */
        #define Vinn_INTR_NONE      (uint16)(0x0000u)   /**< \brief Disabled             */
        #define Vinn_INTR_RISING    (uint16)(0x0001u)   /**< \brief Rising edge trigger  */
        #define Vinn_INTR_FALLING   (uint16)(0x0002u)   /**< \brief Falling edge trigger */
        #define Vinn_INTR_BOTH      (uint16)(0x0003u)   /**< \brief Both edge trigger    */
        /** @} intrMode */
/** @} group_constants */

    #define Vinn_INTR_MASK      (0x01u)
#endif /* (Vinn__INTSTAT) */


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define Vinn_PS                     (* (reg8 *) Vinn__PS)
/* Data Register */
#define Vinn_DR                     (* (reg8 *) Vinn__DR)
/* Port Number */
#define Vinn_PRT_NUM                (* (reg8 *) Vinn__PRT) 
/* Connect to Analog Globals */                                                  
#define Vinn_AG                     (* (reg8 *) Vinn__AG)                       
/* Analog MUX bux enable */
#define Vinn_AMUX                   (* (reg8 *) Vinn__AMUX) 
/* Bidirectional Enable */                                                        
#define Vinn_BIE                    (* (reg8 *) Vinn__BIE)
/* Bit-mask for Aliased Register Access */
#define Vinn_BIT_MASK               (* (reg8 *) Vinn__BIT_MASK)
/* Bypass Enable */
#define Vinn_BYP                    (* (reg8 *) Vinn__BYP)
/* Port wide control signals */                                                   
#define Vinn_CTL                    (* (reg8 *) Vinn__CTL)
/* Drive Modes */
#define Vinn_DM0                    (* (reg8 *) Vinn__DM0) 
#define Vinn_DM1                    (* (reg8 *) Vinn__DM1)
#define Vinn_DM2                    (* (reg8 *) Vinn__DM2) 
/* Input Buffer Disable Override */
#define Vinn_INP_DIS                (* (reg8 *) Vinn__INP_DIS)
/* LCD Common or Segment Drive */
#define Vinn_LCD_COM_SEG            (* (reg8 *) Vinn__LCD_COM_SEG)
/* Enable Segment LCD */
#define Vinn_LCD_EN                 (* (reg8 *) Vinn__LCD_EN)
/* Slew Rate Control */
#define Vinn_SLW                    (* (reg8 *) Vinn__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define Vinn_PRTDSI__CAPS_SEL       (* (reg8 *) Vinn__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define Vinn_PRTDSI__DBL_SYNC_IN    (* (reg8 *) Vinn__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define Vinn_PRTDSI__OE_SEL0        (* (reg8 *) Vinn__PRTDSI__OE_SEL0) 
#define Vinn_PRTDSI__OE_SEL1        (* (reg8 *) Vinn__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define Vinn_PRTDSI__OUT_SEL0       (* (reg8 *) Vinn__PRTDSI__OUT_SEL0) 
#define Vinn_PRTDSI__OUT_SEL1       (* (reg8 *) Vinn__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define Vinn_PRTDSI__SYNC_OUT       (* (reg8 *) Vinn__PRTDSI__SYNC_OUT) 

/* SIO registers */
#if defined(Vinn__SIO_CFG)
    #define Vinn_SIO_HYST_EN        (* (reg8 *) Vinn__SIO_HYST_EN)
    #define Vinn_SIO_REG_HIFREQ     (* (reg8 *) Vinn__SIO_REG_HIFREQ)
    #define Vinn_SIO_CFG            (* (reg8 *) Vinn__SIO_CFG)
    #define Vinn_SIO_DIFF           (* (reg8 *) Vinn__SIO_DIFF)
#endif /* (Vinn__SIO_CFG) */

/* Interrupt Registers */
#if defined(Vinn__INTSTAT)
    #define Vinn_INTSTAT             (* (reg8 *) Vinn__INTSTAT)
    #define Vinn_SNAP                (* (reg8 *) Vinn__SNAP)
    
	#define Vinn_0_INTTYPE_REG 		(* (reg8 *) Vinn__0__INTTYPE)
#endif /* (Vinn__INTSTAT) */

#endif /* End Pins Vinn_H */


/* [] END OF FILE */
